gstreamermm: Gst::CapsFilter Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::CapsFilter Class Reference
gstreamermm Plugins

A Wrapper for the capsfilter plugin. More...

Inheritance diagram for Gst::CapsFilter:
[legend]
Collaboration diagram for Gst::CapsFilter:
[legend]

List of all members.

## Public Member Functions
virtual | ~CapsFilter ()
GstCapsFilter* | gobj ()
| Provides access to the underlying C GObject.
const GstCapsFilter* | gobj () const
| Provides access to the underlying C GObject.
GstCapsFilter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_caps ()
| Restrict the possible allowed capabilities (NULL means ANY).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| Restrict the possible allowed capabilities (NULL means ANY).
## Static Public Member Functions
static Glib::RefPtr< CapsFilter > | create ()
| Creates a new capsfilter plugin with a unique name.
static Glib::RefPtr< CapsFilter > | create (const Glib::ustring& name)
| Creates a new capsfilter plugin with the given name.
## Protected Member Functions
| CapsFilter ()
| CapsFilter (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::CapsFilter > | wrap (GstCapsFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the capsfilter plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::CapsFilter::~CapsFilter | ( |  | ) | `[virtual]`

Gst::CapsFilter::CapsFilter | ( |  | ) | `[protected]`

Gst::CapsFilter::CapsFilter | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<CapsFilter> Gst::CapsFilter::create | ( |  | ) | `[static]`

Creates a new capsfilter plugin with a unique name.

static Glib::RefPtr<CapsFilter> Gst::CapsFilter::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new capsfilter plugin with the given name.

const GstCapsFilter* Gst::CapsFilter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstCapsFilter* Gst::CapsFilter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstCapsFilter* Gst::CapsFilter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::CapsFilter::property_caps | ( |  | ) | const

Restrict the possible allowed capabilities (NULL means ANY).

Setting this property takes a reference to the supplied GstCaps object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::CapsFilter::property_caps | ( |  | ) |

Restrict the possible allowed capabilities (NULL means ANY).

Setting this property takes a reference to the supplied GstCaps object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::CapsFilter > wrap | ( | GstCapsFilter * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/capsfilter.h